Update etcd from percona repositories

Hello there!
I need to update etcd from 3.11 to 3.4.x because of security vulnerabilities. But when I checked from repolist, there is no update on it. Is there any way to update it? Thanks!

1 Like

Hello @Ghan,
etcd is not a Percona product and is thus not part of our repo. You should download etcd from their official repos.

1 Like

Since it is a part of Patroni cluster, I installed it from ppg-14 repository. That is why, I requested from here. I don’t know if there is dependency about etcd version with Patroni.

1 Like

Hello @Ghan

When it comes to Patroni the steps installing it can be quite diverse.

Can you please respond by listing the following:

  • OS / distribution
  • Original installation instructions for “etcd”
  • List of repositories you currently have registered in your package management system

thx

1 Like

Hello @robert.bernier and thank you for reply.

I simply followed THIS article to create high available PostgreSQL setup. Here is your answers

  • OS / distribution – Centos 8
  • Original installation instructions for “etcd” – You can find it at above link
  • List of repositories you currently have registered in your package management system – only percona distro for ppg14
1 Like

Hello @Ghan,
Thanks for providing that information. If the latest version of etcd is not available on our repository that means our engineering teams have not fully verified its compatibility with our entire toolset. You’ll need to manually upgrade etcd using etcd official sources if you wish to upgrade beyond what we are providing.

1 Like

Thanks @matthewb I will try to do it manually but repository needs to be update for application compatibility. Thank you.

1 Like

Yes, we know this and will update the repo after our teams have verified and validated compatibility.

1 Like